#
# Conditional build:
%bcond_without	tests		# build without tests

%define		pkg	rimraf
Summary:	A deep deletion module for node.js
Name:		nodejs-%{pkg}
Version:	2.2.8
Release:	1
License:	MIT
Group:		Development/Libraries
Source0:	http://registry.npmjs.org/%{pkg}/-/%{pkg}-%{version}.tgz
# Source0-md5:	dcae224924ec7cbcb4844f8ba0cfea2d
URL:		https://github.com/isaacs/rimraf
%if %{with tests}
BuildRequires:	bash
BuildRequires:	nodejs
%endif
BuildRequires:	rpmbuild(macros) >= 1.634
Requires:	nodejs
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A deep deletion module for node.js (like "rm -rf").

%prep
%setup -qc
mv package/* .

%build
%if %{with tests}
cd test
bash run.sh
%endif

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}
cp -p %{pkg}.js package.json $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS LICENSE README.md
%{nodejs_libdir}/%{pkg}
%changelog
* Sun Jan 10 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nodejs-rimraf.git;a=log;h=master

* Sat Jan 09 2016 Elan Ruusamäe <glen@delfi.ee> a4cd7dc
- up to 2.2.8

* Mon Nov 24 2014 Elan Ruusamäe <glen@delfi.ee> e16ff54
- cp-friendly url

* Thu Mar 06 2014 Łukasz Kieś <kiesiu@pld-linux.org> 47f3ded
- updated to 2.2.6

* Tue Feb 19 2013 Aria <aredridel@nbtsc.org> 05ff885
- v2.1.4

* Mon Dec 03 2012 Aria Stewart <aredridel@nbtsc.org> 2bbd9c0
- Up to 2.0.2

* Wed Jan 25 2012 Elan Ruusamäe <glen@pld-linux.org> cde6466
- tests use node binary; add tests bcond

* Wed Jan 25 2012 Elan Ruusamäe <glen@pld-linux.org> 7f09f2a
- initial node pkgs for npm deps
  based on specs from http://nodejs.tchol.org/ repo

